AddProduct
Arithmetic Operations

Adds sample by sample product of two signals to the destination signal. More...

## Functions

NppStatus | nppsAddProduct_32f (const Npp32f *pSrc1, const Npp32f *pSrc2, Npp32f *pDst, int nLength)
| 32-bit floating point signal add product of source signal times destination signal to destination signal, then clamp to saturated value. More...
NppStatus | nppsAddProduct_64f (const Npp64f *pSrc1, const Npp64f *pSrc2, Npp64f *pDst, int nLength)
| 64-bit floating point signal add product of source signal times destination signal to destination signal, then clamp to saturated value. More...
NppStatus | nppsAddProduct_32fc (const Npp32fc *pSrc1, const Npp32fc *pSrc2, Npp32fc *pDst, int nLength)
| 32-bit complex floating point signal add product of source signal times destination signal to destination signal, then clamp to saturated value. More...
NppStatus | nppsAddProduct_64fc (const Npp64fc *pSrc1, const Npp64fc *pSrc2, Npp64fc *pDst, int nLength)
| 64-bit complex floating point signal add product of source signal times destination signal to destination signal, then clamp to saturated value. More...
NppStatus | nppsAddProduct_16s_Sfs (const Npp16s *pSrc1, const Npp16s *pSrc2, Npp16s *pDst, int nLength, int nScaleFactor)
| 16-bit signed short signal add product of source signal1 times source signal2 to destination signal, with scaling, then clamp to saturated value. More...
NppStatus | nppsAddProduct_32s_Sfs (const Npp32s *pSrc1, const Npp32s *pSrc2, Npp32s *pDst, int nLength, int nScaleFactor)
| 32-bit signed short signal add product of source signal1 times source signal2 to destination signal, with scaling, then clamp to saturated value. More...
NppStatus | nppsAddProduct_16s32s_Sfs (const Npp16s *pSrc1, const Npp16s *pSrc2, Npp32s *pDst, int nLength, int nScaleFactor)
| 16-bit signed short signal add product of source signal1 times source signal2 to 32-bit signed integer destination signal, with scaling, then clamp to saturated value. More...

## Detailed Description

Adds sample by sample product of two signals to the destination signal.

## Function Documentation

NppStatus nppsAddProduct_16s32s_Sfs | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

16-bit signed short signal add product of source signal1 times source signal2 to 32-bit signed integer destination signal, with scaling, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  pDst | Destination Signal Pointer. product of source1 and source2 signal elements to be added to destination elements
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddProduct_16s_Sfs | ( | const Npp16s * | pSrc1,
|  | const Npp16s * | pSrc2,
|  | Npp16s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

16-bit signed short signal add product of source signal1 times source signal2 to destination signal, with scaling, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  pDst | Destination Signal Pointer. product of source1 and source2 signal elements to be added to destination elements
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddProduct_32f | ( | const Npp32f * | pSrc1,
|  | const Npp32f * | pSrc2,
|  | Npp32f * | pDst,
|  | int | nLength
| ) |  |

32-bit floating point signal add product of source signal times destination signal to destination signal, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  pDst | Destination Signal Pointer. product of source1 and source2 signal elements to be added to destination elements
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddProduct_32fc | ( | const Npp32fc * | pSrc1,
|  | const Npp32fc * | pSrc2,
|  | Npp32fc * | pDst,
|  | int | nLength
| ) |  |

32-bit complex floating point signal add product of source signal times destination signal to destination signal, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  pDst | Destination Signal Pointer. product of source1 and source2 signal elements to be added to destination elements
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddProduct_32s_Sfs | ( | const Npp32s * | pSrc1,
|  | const Npp32s * | pSrc2,
|  | Npp32s * | pDst,
|  | int | nLength,
|  | int | nScaleFactor
| ) |  |

32-bit signed short signal add product of source signal1 times source signal2 to destination signal, with scaling, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  pDst | Destination Signal Pointer. product of source1 and source2 signal elements to be added to destination elements
  nLength | Signal Length.
  nScaleFactor | Integer Result Scaling.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddProduct_64f | ( | const Npp64f * | pSrc1,
|  | const Npp64f * | pSrc2,
|  | Npp64f * | pDst,
|  | int | nLength
| ) |  |

64-bit floating point signal add product of source signal times destination signal to destination signal, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  pDst | Destination Signal Pointer. product of source1 and source2 signal elements to be added to destination elements
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

NppStatus nppsAddProduct_64fc | ( | const Npp64fc * | pSrc1,
|  | const Npp64fc * | pSrc2,
|  | Npp64fc * | pDst,
|  | int | nLength
| ) |  |

64-bit complex floating point signal add product of source signal times destination signal to destination signal, then clamp to saturated value.

Parameters

  pSrc1 | Source Signal Pointer.
  pSrc2 | Source Signal Pointer.
  pDst | Destination Signal Pointer. product of source1 and source2 signal elements to be added to destination elements
  nLength | Signal Length.

Returns
  Signal Data Related Error Codes, Length Related Error Codes.

Copyright © 2009-2017 NVIDIA Corporation